Subject: RE: FW: Prune AssertWinner

From: vishwas <[email-masked]>
Date: Tue, 17 Nov 98 10:25:00 PST

Helmy
 So, do U agree that assert looser SHOULD or atleast MAY send a prune to   
the assert winner, so as to give a 2nd chance to the downstream routers   
for overriding the prune.

Bill U too confirm this with me.

Regards
Vishwanath S. Edavayyanamath
 --------------------------------------------------------------------------  
 ------------------------
Software Engineer, Future Software Pvt. Ltd, Chennai, India
Ph : +91-44-4330550 (335)
Private e-mail : [email-masked]

 -----Original Message-----
From: Ahmed A-G Helmy [SMTP:[email-masked]]
Sent: Monday, November 16, 1998 10:38 PM
To: vishwas
Cc: [email-masked]'
Subject: Re: FW: Prune AssertWinner

> [vishwas]
> But one dought still persists. As per the draft the upstream used to   
send
> another prune just incase prune-override join message were to be lost,   

> the routers will get another chance. I WOULD SAY THE SAME WILL APPLY   
HERE
> TOO.

Yes,... to increase robustness, the forwarder for a lan/link would send a   

prune onto the lan/link shortly before the interface-prune/erase timer
goes off,... as you pointed out correctly, to give a 2nd chance to
downstream routers with downstream members if any exists.
[not sure if this rule is a *must* or a *should* in the currect spec]!

Regs,
 -A

>  Just a hunch, not a necessaty though, Any way Ahmed do reply back. and   

> thanks once again for ur previous reply..
>
> Regards
> Vishwanath S. Edavayyanamath
>   
 -------------------------------------------------------------------------  
 -
>  ------------------------
> Software Engineer, Future Software Pvt. Ltd, Chennai, India
> Ph : +91-44-4330550 (335)
> Private e-mail : [email-masked]
> > [vishwas]
> >   
 ---------------------------------------------------------------------
> > It is not mentioned in the draft that assert Winner will schedule a
> > prune. Thats where the problem comes from. It is only mentioned that
> > assert Looser has to "prune the interface",
> > which wont serve the purpose. So assert Looser has to send prune for   

> the
> > assert Winner for that (S,G).
> > Pl. Go through the section "Asserts received on outgoing interface:"   

> and
> > confirm with me.
>
> Hi Vishwas,
>
>  here is the excerpt from the latest spec I have [dated May 97] in
>  section 5.5 [parallel paths to the source]:
>
>         "3 If you have won the election but there are no directly
>              connected members on the LAN, schedule to prune the
>              interface. The LAN might be a stub LAN with no members   
(and
>              no downstream routers).  If no subsequent Joins are
>              received, delete the interface from the outgoing interface
>  ..."
>
>  I know it is there cuz I have run into this bug earlier (I have
>  used a method I am working on for authomatic test generation,
>  and published the results in a paper, and this bug was one of
>  the results discovered, it is on my web page)
>
> Regards,
>  -Ahmed
>
> >
> > Hay Bill Did U check this out..?
>

---

From: Ahmed A-G Helmy <[email-masked]>
Date: Tue, 17 Nov 1998 01:07:59 -0800 (PST)

> for overriding the prune.

not the loser(s),... I believe it was the Assert winner that sent the 
prune packet [and it was called 'prune-alert'as a more appropriate name 
for it]. 
note that there's only 1 winner, eventually, but there may be lots of losers.
This is no different than the usual scheduling of an interface prune [for 
example, when a prune was sent from a downstream router on a lan], thus 
you don't require special handling for the assert of p2p links with both 
upstream routers (as in your example).
No change to the spec is needed in my opinion, unless I have missed 
something.

Regs,
-A